#include <cassert>

#include "FrameworkKind.h"

using namespace std;
using namespace boost;
namespace po = boost::program_options;

void Options::
add_options(po::options_description& opts)
{
  opts.add_options()
    ("threads",
     po::value<uint>(&nthr)->default_value(1),
     "set the number of threads")
    ("train", 
     po::value<uint>(&ntrn)->default_value(100), 
     "set the number of training data")
    ("sample", 
     po::value<uint>(&nsmp)->default_value(10), 
     "set the number of samples for each hash function")
    //("rescale",
    // po::value<bool>(&rescale)->zero_tokens()->default_value(false),
    // "rescale kernel values for long sequences")
    //("forest", 
    // po::value<bool>(&forest)->zero_tokens()->default_value(false),
    // "use LSH Forest instead of hash tables")
    ("verbose", 
     po::value<bool>(&verbose)->zero_tokens()->default_value(false),
     "verbose output")
    ;
}

void Options::
parse_extra_args(const vector<string>& extra_args)
{
  assert(extra_args.size() >= 2);
  output = extra_args[0];

  for (uint i=1; i!=extra_args.size(); ++i)
    seq_files.push_back(extra_args[i]);
}
