#include <cassert>

#include "FrameworkKindHost.h"

using namespace std;
using namespace boost;
namespace po = boost::program_options;

void Options::  
add_options(po::options_description& opts)
{
  opts.add_options()
    ("threads",
     po::value<uint>(&nthr)->default_value(1),
     "set the number of threads")
    //("probe",
    // po::value<uint>(&nprb)->default_value(0),
    // "manually set the number of multi-probe")
    ("threshold", 
     po::value<double>(&thsh)->default_value(0.35), 
     "set the threshold for normalized similarity (0--1)")
    ("loss", 
     po::value<double>(&loss)->default_value(0.10), 
     "set the loss of sensitivity from exact search")
    //("logarithm", 
    // po::value<bool>(&logarithm)->zero_tokens()->default_value(false),
    // "use the logarithm of kernel values")
    //("rescale",
    // po::value<bool>(&rescale)->zero_tokens()->default_value(false),
    // "rescale kernel values for long sequences")
    //("forest", 
    // po::value<bool>(&forest)->zero_tokens()->default_value(false),
    // "use LSH Forest instead of hash tables")
    ("verbose", 
     po::value<bool>(&verbose)->zero_tokens()->default_value(false),
     "verbose output")
    ;
}

void Options::
parse_extra_args(const vector<string>& extra_args)
{
  assert(extra_args.size() >= 3);
  output = extra_args[0];
  database = extra_args[1];

  for (uint i=2; i!=extra_args.size(); ++i)
    seq_files.push_back(extra_args[i]);
}

